Bug 1004563 - Review Request: metadata-extractor2 - Extracts EXIF, IPTC and XMP metadata from image files
Review Request: metadata-extractor2 - Extracts EXIF, IPTC and XMP metadata fr...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
: Reopened
Depends On: 1004556
Blocks: 947457 1019650 1193626
  Show dependency treegraph
 
Reported: 2013-09-04 20:10 EDT by gil cattaneo
Modified: 2015-02-19 17:24 EST (History)
4 users (show)

See Also:
Fixed In Version: metadata-extractor2-2.6.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-19 17:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-09-04 20:10:40 EDT
Spec URL: http://gil.fedorapeople.org/metadata-extractor2.spec
SRPM URL: http://gil.fedorapeople.org/metadata-extractor2-2.6.4-1.fc19.src.rpm
Description:
Metadata Extractor is a straightforward Java library
for reading metadata from image files.
Fedora Account System Username: gil
Comment 1 Björn "besser82" Esser 2013-10-16 14:16:26 EDT
taken  ;)
Comment 2 Björn "besser82" Esser 2013-10-19 04:41:29 EDT
Package has no issues.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1004563-metadata-
     extractor2/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in metadata-
     extractor2-javadoc

     ---> False positive.  Documentation should have no Requires
          on main-pkg.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

     ---> testsuite is run by maven during %build.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: metadata-extractor2-2.6.4-1.fc21.noarch.rpm
          metadata-extractor2-javadoc-2.6.4-1.fc21.noarch.rpm
          metadata-extractor2-2.6.4-1.fc21.src.rpm
metadata-extractor2.noarch: W: no-manual-page-for-binary metadata-extractor2
metadata-extractor2.src: W: invalid-url Source0: http://metadata-extractor.googlecode.com/files/metadata-extractor-2.6.4-src.jar HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint metadata-extractor2-javadoc metadata-extractor2
metadata-extractor2.noarch: W: no-manual-page-for-binary metadata-extractor2
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
metadata-extractor2-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

metadata-extractor2 (rpmlib, GLIBC filtered):
    /bin/sh
    jpackage-utils
    mvn(com.adobe.xmp:xmpcore)
    mvn(xerces:xercesImpl)



Provides
--------
metadata-extractor2-javadoc:
    metadata-extractor2-javadoc

metadata-extractor2:
    metadata-extractor2
    mvn(com.drewnoakes:metadata-extractor:2)
    mvn(drew:metadata-extractor:2)



Source checksums
----------------
http://metadata-extractor.googlecode.com/files/metadata-extractor-2.6.4-src.jar :
  CHECKSUM(SHA256) this package     : a6b5d1c49f8764b301877cc527f091a4b3d10e71ce728046ef29530c3358c848
  CHECKSUM(SHA256) upstream package : a6b5d1c49f8764b301877cc527f091a4b3d10e71ce728046ef29530c3358c848


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -L /home/besser82/shared/fedora/review/1004556-xmpcore/results/ -b 1004563
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Built with local dependencies:
    /home/besser82/shared/fedora/review/1004556-xmpcore/results/xmpcore-javadoc-5.1.2-1.fc21.noarch.rpm
    /home/besser82/shared/fedora/review/1004556-xmpcore/results/xmpcore-5.1.2-1.fc21.src.rpm
    /home/besser82/shared/fedora/review/1004556-xmpcore/results/xmpcore-5.1.2-1.fc21.noarch.rpm

#####

APPROVED!!!
Comment 3 gil cattaneo 2013-10-19 06:41:35 EDT
Thanks!

New Package SCM Request
=======================
Package Name: metadata-extractor2
Short Description: Extracts EXIF, IPTC and XMP metadata from image files
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-10-19 17:14:28 EDT
Git done (by process-git-requests).
Comment 5 gil cattaneo 2013-10-19 17:16:20 EDT
Thanks!
Comment 6 Till Maas 2013-10-20 17:48:02 EDT
metadata-extractor is already in Fedora, see:
https://lists.fedoraproject.org/pipermail/devel/2013-October/190519.html
Comment 7 gil cattaneo 2013-10-20 18:35:12 EDT
(In reply to Till Maas from comment #6)
> metadata-extractor is already in Fedora, see:
> https://lists.fedoraproject.org/pipermail/devel/2013-October/190519.html

we were aware, that sin for a single pack (JOSM) should stop importing some packages needed for BigData and other projects
Comment 8 Stanislav Ochotnicky 2013-10-22 12:38:45 EDT
(In reply to gil cattaneo from comment #7)
> (In reply to Till Maas from comment #6)
> > metadata-extractor is already in Fedora, see:
> > https://lists.fedoraproject.org/pipermail/devel/2013-October/190519.html
> 
> we were aware, that sin for a single pack (JOSM) should stop importing some
> packages needed for BigData and other projects

So you should have worked with JOSM to migrate to new version. Have you contacted JOSM maintainer? Looked how much time it would take to migrate/patch? 

gil: you are taking the easy way out. Intead of engaging with people in the community and properly fixing issues you just package more and more software because it's easier. You already own 200+ packages in Fedora. There's no way you can properly engage with upstream of each package and keep it up to date with dependencies.
Comment 9 gil cattaneo 2013-10-22 13:03:28 EDT
yes i know and i regret that.
i open a bug for request a metadata-extrator upgrade in date 2013-04-02 https://bugzilla.redhat.com/show_bug.cgi?id=947457
in all this time the maintainer does not deigned to take a look around ?
open three mounth ago http://josm.openstreetmap.de/ticket/8895
no words...
Comment 10 Cédric OLIVIER 2013-10-27 04:23:06 EDT
Hi

Latest JOSM revision 6238 now seems to use metadata-extractor 2.6.4. But not yet available in fedora because josm upstream have made some changes in metadata-extractor source code. 
http://josm.openstreetmap.de/ticket/8895#comment:33


(In reply to gil cattaneo from comment #7)
> (In reply to Till Maas from comment #6)
> > metadata-extractor is already in Fedora, see:
> > https://lists.fedoraproject.org/pipermail/devel/2013-October/190519.html
> 
> we were aware, that sin for a single pack (JOSM) should stop importing some
> packages needed for BigData and other projects

Is there a bug report about that ?
Comment 11 Fedora Update System 2013-11-10 03:54:16 EST
metadata-extractor2-2.6.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/metadata-extractor2-2.6.4-2.fc19
Comment 12 Fedora Update System 2013-11-10 20:17:55 EST
metadata-extractor2-2.6.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/metadata-extractor2-2.6.4-2.fc20
Comment 13 Fedora Update System 2013-11-10 21:25:21 EST
metadata-extractor2-2.6.4-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-11-19 00:30:37 EST
metadata-extractor2-2.6.4-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-11-19 16:45:46 EST
metadata-extractor2-2.6.4-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Cédric OLIVIER 2015-02-18 07:01:07 EST
Package Change Request
======================
Package Name: metadata-extractor2
New Branches: epel7
Owners: cquad
Comment 17 Gwyn Ciesla 2015-02-18 07:08:20 EST
Comments from the Fedora maintainer?
Comment 18 gil cattaneo 2015-02-18 16:38:56 EST
(In reply to Jon Ciesla from comment #17)
> Comments from the Fedora maintainer?

i agree

Package Change Request
======================
Package Name: metadata-extractor2
New Branches: epel7
Owners: cquad
Comment 19 Gwyn Ciesla 2015-02-19 08:56:36 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.